Subject: bug#6578: 24.0.50; defcustom :set does not apply to `set-variable'

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Aug 2019 15:52:33 -0700

"Drew Adams" <[email-masked]> writes:

> [Tried to send this earlier, but there was a mail delivery problem, for some
> reason.  Trying again.]
>
> ----
>
> If you use a :set entry for defcustom, it is not respected by
> `set-variable'.  It should be.  When a user uses `M-x set-variable' s?he
> should get the effect of :set.  Otherwise, the defcustom is not serving
> its purpose.  defcustom is not only for Customize - it needs to work
> with `set-variable' also.  And it does, for :type; but it does not, for
> :set.

This is apparently by design:

----
Note that this function is at heart equivalent to the basic ‘set’ function.
For a variable defined with ‘defcustom’, it does not pay attention to
any :set property that the variable might have (if you want that, use
M-x customize-set-variable instead).
----

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no